## org.eclipse.datatools.enablement.sybase.asa.catalog
Class SybaseASACatalogTempTable

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
                                          org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl
                                              org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseTempTableImpl
                                                  org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.impl.SybaseASATempTableImpl
                                                      org.eclipse.datatools.enablement.sybase.asa.catalog.SybaseASACatalogTempTable

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner, TableASABaseLoader.IASABaseLoaderTable, SybaseASABaseTempTable, SybaseASATempTable, SybaseAuthorizedObject, SybaseBaseTable, SQLObject, BaseTable, Table, TemporaryTable, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASACatalogTempTable

extends SybaseASATempTableImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable, SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner, TableASABaseLoader.IASABaseLoaderTable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASACatalogTempTable()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getColumns()` Returns the value of the 'Columns' containment reference list.
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getConstraints()` Returns the value of the 'Constraints' containment reference list.
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`org.eclipse.emf.common.util.EList` `getIndex()` Returns the value of the 'Index' reference list.
`org.eclipse.emf.common.util.EList` `getIndexSupper()`
`int` `getPctfree()`
`org.eclipse.emf.common.util.EList` `getPrivileges()` Returns the value of the 'Privileges' reference list.
`TransactionOption` `getTransactionOption()`
`org.eclipse.emf.common.util.EList` `getTriggers()` Returns the value of the 'Triggers' reference list.
`org.eclipse.emf.common.util.EList` `getTriggerSuper()`
`java.lang.Boolean` `isColumnConstraintLoaded()`
`java.lang.Boolean` `isColumnInfoLoaded()`
`java.lang.Boolean` `isColumnPrivilegeLoaded()`
`java.lang.Boolean` `isIndexLoaded()`
`java.lang.Boolean` `isTriggerLoaded()`
`void` `refresh()`
`void` `setColumnConstraintLoaded(java.lang.Boolean loaded)`
`void` `setColumnInfoLoaded(java.lang.Boolean loaded)`
`void` `setColumnPrivilegeLoaded(java.lang.Boolean loaded)`
`void` `setIndexLoaded(java.lang.Boolean loaded)`
`void` `setTriggerLoaded(java.lang.Boolean loaded)`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasasqlmodel.impl.SybaseASATempTableImpl
`eGet, eIsSet, eSet, eUnset, setPctfree, toString`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseTempTableImpl
`getCheckConstraints, isSystem, setTransactionOption`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl
`isDeleteOnCommit, isLocal, setDeleteOnCommit, setLocal`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl
`eInverseAdd, eInverseRemove, getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASABaseTempTable
`setTransactionOption`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.TemporaryTable
`isDeleteOnCommit, isLocal, setDeleteOnCommit, setLocal`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.BaseTable
`getForeignKeys, getPrimaryKey, getReferencingForeignKeys, getUniqueConstraints`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getSchema, getSelfRefColumnGeneration, getSubtables, getSupertable, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASACatalogTempTable

    public SybaseASACatalogTempTable()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getColumns

    public org.eclipse.emf.common.util.EList getColumns()

  Description copied from interface: `Table`
  Returns the value of the 'Columns' containment reference list. The list contents are of type `Column`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getColumns` in interface `Table`
  Overrides:
    `getColumns` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Columns' containment reference list.
  See Also:
    `SQLTablesPackage.getTable_Columns()`, `Column.getTable()`

### getConstraints

    public org.eclipse.emf.common.util.EList getConstraints()

  Description copied from interface: `BaseTable`
  Returns the value of the 'Constraints' containment reference list. The list contents are of type `TableConstraint`. It is bidirectional and its opposite is '`Base Table`'.

  If the meaning of the 'Constraints' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getConstraints` in interface `BaseTable`
  Overrides:
    `getConstraints` in class `org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl`
  Returns:
    the value of the 'Constraints' containment reference list.
  See Also:
    `SQLTablesPackage.getBaseTable_Constraints()`, `TableConstraint.getBaseTable()`

### getTriggers

    public org.eclipse.emf.common.util.EList getTriggers()

  Description copied from interface: `Table`
  Returns the value of the 'Triggers' reference list. The list contents are of type `Trigger`. It is bidirectional and its opposite is '`Subject Table`'.

  If the meaning of the 'Triggers' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getTriggers` in interface `Table`
  Overrides:
    `getTriggers` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Triggers' reference list.
  See Also:
    `SQLTablesPackage.getTable_Triggers()`, `Trigger.getSubjectTable()`

### getIndex

    public org.eclipse.emf.common.util.EList getIndex()

  Description copied from interface: `Table`
  Returns the value of the 'Index' reference list. The list contents are of type `Index`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Index' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getIndex` in interface `Table`
  Overrides:
    `getIndex` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Index' reference list.
  See Also:
    `SQLTablesPackage.getTable_Index()`, `Index.getTable()`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDescription` in interface `SQLObject`
  Overrides:
    `getDescription` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SQLObject.setDescription(String)`, `SQLSchemaPackage.getSQLObject_Description()`

### getTransactionOption

    public TransactionOption getTransactionOption()

  Description copied from class: `SybaseASABaseTempTableImpl`

  Specified by:
    `getTransactionOption` in interface `SybaseASABaseTempTable`
  Overrides:
    `getTransactionOption` in class `SybaseASABaseTempTableImpl`
  Returns:
    the value of the 'Transaction Option' attribute.
  See Also:
    `TransactionOption`, `SybaseASABaseTempTable.setTransactionOption(TransactionOption)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTempTable_TransactionOption()`

### getPctfree

    public int getPctfree()

  Description copied from class: `SybaseASATempTableImpl`

  Specified by:
    `getPctfree` in interface `SybaseASATempTable`
  Overrides:
    `getPctfree` in class `SybaseASATempTableImpl`
  Returns:
    the value of the 'Pctfree' attribute.
  See Also:
    `SybaseASATempTable.setPctfree(int)`, `SybaseasasqlmodelPackage.getSybaseASATempTable_Pctfree()`

### getPrivileges

    public org.eclipse.emf.common.util.EList getPrivileges()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Privileges' reference list. The list contents are of type `Privilege`. It is bidirectional and its opposite is '`Object`'.

  If the meaning of the 'Privileges' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getPrivileges` in interface `SQLObject`
  Overrides:
    `getPrivileges` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Privileges' reference list.
  See Also:
    `SQLSchemaPackage.getSQLObject_Privileges()`, `Privilege.getObject()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### isColumnConstraintLoaded

    public java.lang.Boolean isColumnConstraintLoaded()

  Specified by:
    `isColumnConstraintLoaded` in interface `SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner`

### isColumnInfoLoaded

    public java.lang.Boolean isColumnInfoLoaded()

  Specified by:
    `isColumnInfoLoaded` in interface `SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner`

### isColumnPrivilegeLoaded

    public java.lang.Boolean isColumnPrivilegeLoaded()

  Specified by:
    `isColumnPrivilegeLoaded` in interface `SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner`

### setColumnConstraintLoaded

    public void setColumnConstraintLoaded(java.lang.Boolean loaded)

  Specified by:
    `setColumnConstraintLoaded` in interface `SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner`

### setColumnInfoLoaded

    public void setColumnInfoLoaded(java.lang.Boolean loaded)

  Specified by:
    `setColumnInfoLoaded` in interface `SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner`

### setColumnPrivilegeLoaded

    public void setColumnPrivilegeLoaded(java.lang.Boolean loaded)

  Specified by:
    `setColumnPrivilegeLoaded` in interface `SybaseASACatalogBaseColumn.ISybaseASACatalogBaseColumnOwner`

### isIndexLoaded

    public java.lang.Boolean isIndexLoaded()

  Specified by:
    `isIndexLoaded` in interface `TableASABaseLoader.IASABaseLoaderTable`

### isTriggerLoaded

    public java.lang.Boolean isTriggerLoaded()

  Specified by:
    `isTriggerLoaded` in interface `TableASABaseLoader.IASABaseLoaderTable`

### setIndexLoaded

    public void setIndexLoaded(java.lang.Boolean loaded)

  Specified by:
    `setIndexLoaded` in interface `TableASABaseLoader.IASABaseLoaderTable`

### setTriggerLoaded

    public void setTriggerLoaded(java.lang.Boolean loaded)

  Specified by:
    `setTriggerLoaded` in interface `TableASABaseLoader.IASABaseLoaderTable`

### getIndexSupper

    public org.eclipse.emf.common.util.EList getIndexSupper()

  Specified by:
    `getIndexSupper` in interface `TableASABaseLoader.IASABaseLoaderTable`

### getTriggerSuper

    public org.eclipse.emf.common.util.EList getTriggerSuper()

  Specified by:
    `getTriggerSuper` in interface `TableASABaseLoader.IASABaseLoaderTable`